Bug 699209 (perl-ORLite-Mirror) - Review Request: perl-ORLite-Mirror - Extend ORLite to support remote SQLite databases
Summary: Review Request: perl-ORLite-Mirror - Extend ORLite to support remote SQLite d...
Keywords:
Status: CLOSED ERRATA
Alias: perl-ORLite-Mirror
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/ORLite-Mi...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-24 09:17 UTC by Iain Arnell
Modified: 2011-05-05 18:26 UTC (History)
3 users (show)

Fixed In Version: perl-ORLite-Mirror-1.20-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-01 03:26:15 UTC
mario.blaettermann: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-04-24 09:17:15 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-ORLite-Mirror.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-ORLite-Mirror-1.20-1.fc16.src.rpm

Description:
ORLite provides a readonly ORM API when it loads a readonly SQLite database
from your local system. By combining this capability with LWP, ORLite::Mirror
goes one step better and allows you to load a SQLite database from any
arbitrary URI in readonly form as well.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3022230

*rt-0.10_01

Comment 1 Mario Blättermann 2011-04-24 19:14:40 UTC
$ rpmlint -v perl*
perl-ORLite-Mirror.src: I: checking
perl-ORLite-Mirror.src: W: spelling-error %description -l en_US readonly -> read only, read-only, readoption
perl-ORLite-Mirror.src: I: checking-url http://search.cpan.org/dist/ORLite-Mirror/ (timeout 10 seconds)
perl-ORLite-Mirror.src: I: checking-url http://www.cpan.org/authors/id/A/AD/ADAMK/ORLite-Mirror-1.20.tar.gz (timeout 10 seconds)
perl-ORLite-Mirror.spec: I: checking-url http://www.cpan.org/authors/id/A/AD/ADAMK/ORLite-Mirror-1.20.tar.gz (timeout 10 seconds)
1 packages and 1 specfiles checked; 0 errors, 1 warnings.

Seems to be all OK. Just a small spelling error. Nice to have cpanspec for such packages...

OK, here we go:

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[x] MUST: The spec file must be written in American English.
    - Please correct the small spelling error.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum OR*
    9ebd7c887b7f841348490f0b5b645597  ORLite-Mirror-1.20.tar.gz
    9ebd7c887b7f841348490f0b5b645597  ORLite-Mirror-1.20.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[x] MUST: Packages must not own files or directories already owned by other
packages.

%{perl_vendorlib}/*
%{_mandir}/man3/*

Your package owns the folders according to the macros. You should use some more special folders here, e.g. %{_mandir}/man3/ORLite::Mirror.3pm.*. Use the asterisk anyway because we don't refer to a certain compression format here.

[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.


Some issues, though.

Comment 2 Iain Arnell 2011-04-25 06:52:58 UTC
(In reply to comment #1)
> [x] MUST: The spec file must be written in American English.
>     - Please correct the small spelling error.

fixed: readonly -> read-only

> [x] MUST: Packages must not own files or directories already owned by other
> packages.
> 
> %{perl_vendorlib}/*
> %{_mandir}/man3/*
> 
> Your package owns the folders according to the macros. You should use some more
> special folders here, e.g. %{_mandir}/man3/ORLite::Mirror.3pm.*. Use the
> asterisk anyway because we don't refer to a certain compression format here.

This is standard practice for perl modules and mandated in the guidelines:
https://fedoraproject.org/wiki/Packaging:Perl#Directory_Ownership


Spec URL: http://fedorapeople.org/~iarnell/review/perl-ORLite-Mirror.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-ORLite-Mirror-1.20-2.fc16.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3023633

Comment 3 Mario Blättermann 2011-04-25 19:25:30 UTC
(In reply to comment #2)

> This is standard practice for perl modules and mandated in the guidelines:
> https://fedoraproject.org/wiki/Packaging:Perl#Directory_Ownership

Sorry, I didn't know about that.

Your package looks good now, that's why:

PACKAGE APPROVED

Comment 4 Iain Arnell 2011-04-26 02:28:26 UTC
New Package SCM Request
=======================
Package Name: perl-ORLite-Mirror
Short Description: Extend ORLite to support remote SQLite databases
Owners: iarnell
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-04-26 02:39:55 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-04-26 03:16:55 UTC
perl-ORLite-Mirror-1.20-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-ORLite-Mirror-1.20-3.fc14

Comment 7 Fedora Update System 2011-04-26 03:17:17 UTC
perl-ORLite-Mirror-1.20-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-ORLite-Mirror-1.20-3.fc13

Comment 8 Fedora Update System 2011-04-26 03:17:25 UTC
perl-ORLite-Mirror-1.20-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-ORLite-Mirror-1.20-3.fc15

Comment 9 Fedora Update System 2011-04-26 15:32:31 UTC
perl-ORLite-Mirror-1.20-3.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2011-05-01 03:26:10 UTC
perl-ORLite-Mirror-1.20-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-05-05 18:24:45 UTC
perl-ORLite-Mirror-1.20-3.fc13 has been pushed to the Fedora 13 stable repository.

Comment 12 Fedora Update System 2011-05-05 18:25:54 UTC
perl-ORLite-Mirror-1.20-3.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.